Subject: [IPP] IPP Everywhere test

From: "Rizzo, Christopher via ipp" <[email-masked]>
Date: Thu, 23 Jul 2020 18:44:43 +0000

Running ipp-tests.test, got failure because test tool requires "media-needed" but printer reports "media-empty-warning":

Remove media from printer until this test run is complete.

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0001]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0002]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0003]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0004]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0005]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0006]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0007]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0008]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0009]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0010]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0011]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0012]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0013]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0014]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0015]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0016]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0017]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0018]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0019]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0020]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0021]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0022]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0023]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0024]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0025]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0026]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [0027]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [PASS]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [SKIP]

    I-20. media-needed (Print-Job onepage-letter.pwg)                    [SKIP]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0001]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0002]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0003]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0004]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0005]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0006]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0007]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0008]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0009]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0010]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0011]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0012]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0013]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0014]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0015]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0016]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0017]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0018]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0019]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0020]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0021]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0022]

    I-20.1 media-needed (Get-Printer-Attributes)                         [0023]

    I-20.1 media-needed (Get-Printer-Attributes)                         [FAIL]

        RECEIVED: 212 bytes in response

        status-code = successful-ok (successful-ok)

        EXPECTED: printer-state-reasons WITH-VALUE /^media-needed/

        GOT: printer-state-reasons="toner-low-warning"

        GOT: printer-state-reasons="media-empty-warning"

        GOT: printer-state-reasons="media-empty-warning"

        GOT: printer-state-reasons="media-empty-warning"

        GOT: printer-state-reasons="media-empty-warning"

crizzo@ChrisMacBook15:~/ipptool[39] snmpwalk 192.168.1.40 prtInputStatus

Printer-MIB::prtInputStatus.1.1 = INTEGER: 8

Printer-MIB::prtInputStatus.1.2 = INTEGER: 8

Printer-MIB::prtInputStatus.1.3 = INTEGER: 8

Printer-MIB::prtInputStatus.1.4 = INTEGER: 8

Printer-MIB::prtInputStatus.1.5 = INTEGER: 8

crizzo@ChrisMacBook15:~/ipptool[40]

It is a non-critical alert when one tray is out of paper, since this machine has 5 paper trays and can easily switch between trays when one is out of paper.  Although the machine does not modify prtInputStatus based on the aggregate situation that all trays are empty.  RFC8011 says an SNMP prtInputStatus of 8 means media-low, which is wrong for an empty tray, but where in RFC3805 does it say that prtInputStatus = 8 means media-low?  Seems like RFC8011 made that leap on its own?

If prtInputStatus value has to change, that may be very hard for me to push, because this behavior has been in the field in many, many machines for many, many years.

Thanks,
Chris

Christopher Rizzo
Xerox Corporation
GDG/Discovery/Advance Technology
26600 SW Parkway Ave.
Wilsonville, OR 97070-9251
Phone: (585) 314-6936
Email: [email-masked]

"The realization came over me with full force that a good part of the remainder of my life was going to be spent in finding errors in my own programs."
-Maurice Wilkes, Memoirs of a Computer Pioneer
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp